您可以手动升级 VMware Tools,也可以配置虚拟机以检查并安装新版本的 VMware Tools。

在开启虚拟机时,客户机操作系统将检查 VMware Tools 版本。如果有新版本,虚拟机的状态栏将显示一条消息。

对于 vSphere 虚拟机,
此虚拟机可使用更高版本的 Tools (A newer version of Tools is available for this VM)
会在安装的 VMware Tools 版本过期时显示。

在 Windows 虚拟机中,您可以将 VMware Tools 设置为在具有可用升级时通知您。如果启用了该通知选项,在具有可用的 VMware Tools 升级时,Windows 任务栏中的 VMware Tools 图标将带有黄色警告图标。

要安装 VMware Tools 升级,您可以使用与最初安装 VMware Tools 时相同的步骤。升级 VMware Tools 意味着安装新版本。

对于 Windows 和 Linux 客户机操作系统,您可以将虚拟机配置为自动升级 VMware Tools。虽然在开启虚拟机时执行版本检查,但在关闭或重新启动虚拟机时,将在 Windows 客户机操作系统上执行自动升级。在升级过程中,状态栏将显示正在安装 VMware Tools... 消息。下面介绍了此过程。

注:

在 Windows 客户机操作系统上升级 VMware Tools 时,将自动安装 WDDM 图形驱动程序。WDDM 图形驱动程序在客户机操作系统电源设置中提供睡眠模式以调整睡眠选项。例如,可以使用睡眠模式设置更改计算机睡眠时间将客户机操作系统配置为在特定时间后自动进入睡眠模式,或者禁止客户机操作系统在闲置一段时间后自动切换到睡眠模式。

对于 vSphere 虚拟机,您可以使用以下过程之一同时升级多个虚拟机。

  • 登录到 vCenter Server,选择一个主机或集群,然后在虚拟机选项卡上指定执行 VMware Tools 升级的虚拟机。
  • 使用 vSphere Lifecycle Manager 在文件夹或数据中心级别执行虚拟机的协调升级。

特定版本的 VMware 产品中的某些功能可能取决于是否安装或升级到该版本中包含的 VMware Tools 版本。并非始终需要升级到最新版本的 VMware Tools。较新版本的 VMware Tools 与一些主机版本兼容。为了避免不必要的升级,请评估您的环境是否需要使用添加的功能和性能。

表 1. 虚拟机兼容性选项
兼容性 说明
ESXi 7.0 Update 1 及更高版本 该虚拟机(硬件版本 18)与 ESXi 7.0 Update 1 及更高版本兼容。
ESXi 7.0 和更高版本 该虚拟机(硬件版本 17)与 ESXi 7.0 和 ESXi 7.0 Update 1 兼容。
ESXi 6.7 Update 2 及更高版本 该虚拟机(硬件版本 15)与 ESXi 6.7 Update 2、ESXi 6.7 Update 3、ESXi 7.0 和 ESXi 7.0 Update 1 兼容。
ESXi 6.7 和更高版本 该虚拟机(硬件版本 14)与 ESXi 6.7、ESXi 6.7 Update 2、ESXi 6.7 Update 3、ESXi 7.0 和 ESXi 7.0 Update 1 兼容。
ESXi 6.5 和更高版本 该虚拟机(硬件版本 13)与 ESXi 6.5、ESXi 6.7、ESXi 6.7 Update 2、ESXi 6.7 Update 3、ESXi 7.0 和 ESXi 7.0 Update 1 兼容。
ESXi 6.0 和更高版本 该虚拟机(硬件版本 11)与 ESXi 6.0、ESXi 6.5、ESXi 6.7、ESXi 6.7 Update 2、ESXi 6.7 Update 3、ESXi 7.0 和 ESXi 7.0 Update 1 兼容。
ESXi 5.5 和更高版本 该虚拟机(硬件版本 10)与 ESXi 5.5、ESXi 6.0、ESXi 6.5、ESXi 6.7、ESXi 6.7 Update 2、ESXi 6.7 Update 3、ESXi 7.0 和 ESXi 7.0 Update 1 兼容。
ESXi 5.1 和更高版本 该虚拟机(硬件版本 9)与 ESXi 5.1、ESXi 5.5、ESXi 6.0、ESXi 6.5、ESXi 6.7、ESXi 6.7 Update 2、ESXi 6.7 Update 3、ESXi 7.0 和 ESXi 7.0 Update 1 兼容。
ESXi 5.0 和更高版本 该虚拟机(硬件版本 8)与 ESXi 5.0、ESXi 5.1、ESXi 5.5、ESXi 6.0、ESXi 6.5、ESXi 6.7、ESXi 6.7 Update 2、ESXi 6.7 Update 3、ESXi 7.0 和 ESXi 7.0 Update 1 兼容。
ESX/ESXi 4.x 和更高版本 该虚拟机(硬件版本 7)与 ESX/ESXi 4.x、ESXi 5.0、ESXi 5.1、ESXi 5.5、ESXi 6.0、ESXi 6.5、ESXi 6.7、ESXi 6.7 Update 2、ESXi 6.7 Update 3、ESXi 7.0 和 ESXi 7.0 Update 1 兼容。
ESX/ESXi 3.5 和更高版本 该虚拟机(硬件版本 4)与 ESX/ESXi 3.5、ESX/ESXi 4.x、ESXi 5.1、ESXi 5.5、ESXi 6.0、ESXi 6.5、ESXi 6.7、ESXi 6.7 Update 2、ESXi 6.7 Update 3、ESXi 7.0 和 ESXi 7.0 Update 1 兼容。它还与 VMware Server 1.0 及更高版本兼容。ESXi 5.0 不支持创建兼容 ESX/ESXi 3.5 及更高版本的虚拟机,但是可以运行由某个具有多种兼容性的主机创建的此类虚拟机。

有关详细信息,请参阅《VMware 兼容性指南》,网址为 http://www.vmware.com/resources/compatibility